cmake_minimum_required(VERSION 3.22)

project(middlewares)

add_subdirectory(Third_Party/freertos)
add_subdirectory(Third_Party/easylogger)
add_subdirectory(Third_Party/fatfs)
add_subdirectory(Third_Party/flac)
add_subdirectory(Third_Party/lvgl)
add_subdirectory(Third_Party/minimp3)
add_subdirectory(Third_Party/tlsf)

# 屏蔽第三方库中的警告
target_compile_options(FLAC PRIVATE
  -Wformat=0
  -Wno-incompatible-pointer-types
)

target_compile_options(grabbag PRIVATE
  -Wformat=0
)

target_compile_options(lvgl_demos PRIVATE
  -Wformat=0
)

target_compile_options(lvgl_examples PRIVATE
  -Wformat=0
  -Wno-unused-variable
)
